#include "audioaiassistantttsproxy.h"
#include "audioaiassistantsetting.h"
#include "audioaiassistant.h"
#include <QDebug>

UOSAI_USE_NAMESPACE

AudioAiassistantTtsProxy::AudioAiassistantTtsProxy(AudioAiassistant *parent)
    : QObject(parent)
    , q(parent)
{

}

AudioAiassistantTtsProxy::~AudioAiassistantTtsProxy()
{

}

void AudioAiassistantTtsProxy::setTTSEnable(bool enable)
{
    AudioAiassistantSetting::instance()->setTTSEnable(enable);
}

bool AudioAiassistantTtsProxy::getTTSEnable()
{
    return AudioAiassistantSetting::instance()->getTTSEnable();
}

void AudioAiassistantTtsProxy::setEnableWindow(bool enable)
{
    AudioAiassistantSetting::instance()->setEnableWindow(enable);
}

bool AudioAiassistantTtsProxy::getEnableWindow()
{
    return AudioAiassistantSetting::instance()->getEnableWindow();
}

bool AudioAiassistantTtsProxy::isTTSInWorking()
{
    return q->isTTSInWorking();
}

void AudioAiassistantTtsProxy::stopTTSDirectly()
{
    return q->stopTTSDirectly();
}
